[PATCH 4 of 4] Fix tmp-createpackage and rename it to win-createpackge

Wald Commits scm-commit at wald.intevation.org
Mon Aug 4 17:57:19 CEST 2014


# HG changeset patch
# User Andre Heinecke <andre.heinecke at intevation.de>
# Date 1407167831 -7200
# Node ID 43933a605482cc7983ac8274628522b1484ff5ec
# Parent  df6f3b1cc41c8b57a82ec7bac9b98135796e3543
Fix tmp-createpackage and rename it to win-createpackge

diff -r df6f3b1cc41c -r 43933a605482 packaging/tmp-createpackage.sh.in
--- a/packaging/tmp-createpackage.sh.in	Mon Aug 04 17:56:42 2014 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,31 +0,0 @@
-# Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
-# Software engineering by Intevation GmbH
-#
-# This file is Free Software under the GNU GPL (v>=2)
-# and comes with ABSOLUTELY NO WARRANTY!
-# See LICENSE.txt for details.
-
-#!/bin/bash
-
-#NSSDIR is hackish as this will be replaced by static compiling 
-# anyway
-
-TMPDIR=$(mktemp -d)
-
-EXEFILES=$(find . -name cinst.exe -o -name trustbridge.exe -o -name mozilla.exe)
-
-cp $EXEFILES $TMPDIR
-
-EST_SIZE=$(du -s $TMPDIR | cut -f 1)
-
-echo $TMPDIR
-makensis -Dfiles_dir=$TMPDIR \
-    -Dcompany="Bundesamt für Sicherheit in der Informationstechnik" \
-    -Dversion_number=@PROJECT_VERSION@ \
-    -Dsetupname="@CMAKE_BINARY_DIR@/TrustBridge- at PROJECT_VERSION@.exe" \
-    -Dproductname="TrustBridge" \
-    -Dpath_sep="/" \
-    -Dinfo_url="http://wald.intevation.org/projects/trustbridge/" \
-    -Dsize=$EST_SIZE \
-    -Dproductname_short="TrustBridge" @CMAKE_SOURCE_DIR@/packaging/trustbridge.nsi
-rm -r $TMPDIR
diff -r df6f3b1cc41c -r 43933a605482 packaging/win-createpackage.sh.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/packaging/win-createpackage.sh.in	Mon Aug 04 17:57:11 2014 +0200
@@ -0,0 +1,50 @@
+# Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
+# Software engineering by Intevation GmbH
+#
+# This file is Free Software under the GNU GPL (v>=2)
+# and comes with ABSOLUTELY NO WARRANTY!
+# See LICENSE.txt for details.
+
+#!/bin/bash
+
+#NSSDIR is hackish as this will be replaced by static compiling 
+# anyway
+
+TMPDIR=$(mktemp -d)
+TMPINST=$(mktemp)
+
+EXEFILES=$(find . -name cinst.exe -o -name trustbridge.exe -o -name mozilla.exe)
+
+cp $EXEFILES $TMPDIR
+
+EST_SIZE=$(du -s $TMPDIR | cut -f 1)
+
+echo $TMPDIR
+export LC_ALL="de_DE.latin-1" 
+
+makensis -Dfiles_dir=$TMPDIR \
+    -Dcompany="Bundesamt für Sicherheit in der Informationstechnik" \
+    -Dversion_number=@PROJECT_VERSION@ \
+    -Dsetupname="$TMPINST" \
+    -Dproductname="TrustBridge" \
+    -Dpath_sep="/" \
+    -Dinfo_url="http://wald.intevation.org/projects/trustbridge/" \
+    -Dsize=$EST_SIZE \
+    -DWRITE_UNINSTALLER \
+    -Dproductname_short="TrustBridge" @CMAKE_SOURCE_DIR@/packaging/trustbridge.nsi
+wine $TMPINST /S || true
+mv ~/.wine/drive_c/tmp-uninstaller/Uninstall.exe $TMPDIR
+rmdir ~/.wine/drive_c/tmp-uninstaller
+rm $TMPINST
+
+makensis -Dfiles_dir=$TMPDIR \
+    -Dcompany="Bundesamt für Sicherheit in der Informationstechnik" \
+    -Dversion_number=@PROJECT_VERSION@ \
+    -Dsetupname="@CMAKE_BINARY_DIR@/TrustBridge- at PROJECT_VERSION@.exe" \
+    -Dproductname="TrustBridge" \
+    -Dpath_sep="/" \
+    -Dinfo_url="http://wald.intevation.org/projects/trustbridge/" \
+    -Dsize=$EST_SIZE \
+    -Dproductname_short="TrustBridge" @CMAKE_SOURCE_DIR@/packaging/trustbridge.nsi
+
+rm -r $TMPDIR


More information about the Trustbridge-commits mailing list